class CreateExaminationItems < ActiveRecord::Migration[5.2]
  def change
    create_table :examination_items do |t|
      t.references :examination_bank, index: true
      t.references :item_bank, index: true
      t.string :name
      t.integer :item_type, default: 0
      t.integer :difficulty, default: 1
      t.float :score, default: 0
      t.integer :position, default: 0

      t.timestamps
    end
  end
end
